#!/bin/sh
source /etc/conf.d/vdr
if [ -f /autorun.vdr ] ; then
   rm -f /autorun.old >/dev/null 2>&1
   mv -f /autorun.vdr /autorun.old
   depscan.sh -u
   echo -n "Starting autorun"
   echo "Starting <openvt -c 9 -s -f -- sh /autorun.old>"
   openvt -c 9 -s -f -- sh /autorun.old
else
   sh /_config/bin/checkstart.sh   
   if [ "$AUTOMOUNT" = "1" ] ; then
      sh /_config/bin/usbmount.sh -mount
      if [ "$(cdctl -g | grep "There is no")" = "" ] ; then
         mount /dev/cdrom
      fi	 
   fi
   if [ "$(lsmod | grep "^dvb_ttpci")" != "" ] ; then
      # /usr/bin/wss.sh init
      sleep 1
      # /usr/bin/wss.sh auto
   fi
   # Get epgdata via epgscan or tvm2vdr
   echo "/_config/bin/g2v_epgscan.sh" | at now
fi
